## org.h2.store
Class LobStorage.LobInputStream

    java.lang.Object
      java.io.InputStream
          org.h2.store.LobStorage.LobInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  LobStorage

    public class LobStorage.LobInputStream

extends java.io.InputStream

An input stream that reads from a LOB.

Constructor Summary
`LobStorage.LobInputStream(long lob, long byteCount)`

Method Summary
`int` `read()`
`int` `read(byte[] buff)`
`int` `read(byte[] buff, int off, int length)`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LobStorage.LobInputStream

    public LobStorage.LobInputStream(long lob,
                                     long byteCount)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] buff)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] buff,
                    int off,
                    int length)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`